- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances/findEntityAlerts#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances/findEntityAlerts#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances/findEntityAlerts#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances/findEntityAlerts#body.request_body)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances/findEntityAlerts#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances/findEntityAlerts#body.FindEntityAlertsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances/findEntityAlerts#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances/findEntityAlerts#body.aspect_1)

**Full name**: projects.locations.instances.findEntityAlerts

Get alerts for an entity. The API returns a maximum of 1000 alerts for the requested entity.

### HTTP request

`GET https://{endpoint}/v1beta/{instance}:findEntityAlerts`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `instance` | `string` Required. The ID of the Instance to summarize entity for. Format: `projects/{project}/locations/{location}/instances/{instance}` |

### Query parameters

| Parameters ||
|---|---|
| `timeRange` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/Shared.Types/Interval`)`` Required. Time range to retrieve the alerts for \[Inclusive start time, exclusive end time). |
| Identifier to find the entity. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response: ||
| `entityId` | `string` ID of the entity. |
| `fieldAndValue` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/FieldAndValue`)`` Field path or type with value to identify entity. |
| End of mutually exclusive fields. ||

### Request body

The request body must be empty.

### Response body

Response message to retrieve alerts for an entity.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "alertCounts": [ { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/AlertCountByRule`) } ], "hasMoreAlerts": boolean, "timeline": { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/Timeline`) } } ``` |

| Fields ||
|---|---|
| `alertCounts[]` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/AlertCountByRule`)`` Rule names with alert count for each. |
| `hasMoreAlerts` | `boolean` Indicates if there are more alerts than the limit (1000 currently). |
| `timeline` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/Timeline`)`` Bucketed timeline with alert count. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `instance` resource:

- `chronicle.entities.findEntityAlerts`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).